#include "testlib.h"

using namespace std;

long long maxa[7] = {100, 100, 100, 100, 1000000000, 1000000000, 1000000000};
long long maxk[7] = {100, 1, 100, 100, 100, 1, 100};
bool klea[7] = {false, false, true, false, false, false, false};
bool aeqb[7] = {false, false, false, false, true, false, false};

int main(int argc, char **argv)
{
    registerValidation(argc, argv);
    int g = validator.group() == "" ? 6 : validator.group()[0] - '0';

    long long a = inf.readLong(1, maxa[g], "a");
    inf.readEoln();
    long long b = inf.readLong(a, maxa[g], "b");
    inf.readEoln();
    if (aeqb[g]) {
        ensuref(a == b, "a == b");
    }
    ensuref(b - a <= 100, "b - a <= 100");
    int k = inf.readInt(1, maxk[g], "k");
    inf.readEoln();
    inf.readEof();
    if (klea[g]) {
        ensuref(k <= a, "k <= a");
    }

    return 0;
}
