#include "testlib.h"

using namespace std;

int gen(int n, int k, int p, bool first) {
    if (k == 0) {
        if (n == 0)
            return 1;
        ensure(false);
    }
    int fr, to;
    if (first) {
        fr = (n - k * (k + 1) / 2) / k;
        to = (n + k * (k + 1) / 2) / k;
    } else {
        fr = p - 1;
        to = p + 1;
    }
    int res = 0;
    for (int i = fr; i <= to; i++) {
        int nn = n - i;
        int kk = k - 1;
        int lad = kk * (kk + 1) / 2;
        if (i * kk - lad > nn || i * kk + lad < nn)
            continue;
        res += gen(nn, k - 1, i, false);
    }
    return res;
}


int main(int argc, char **argv)
{
    registerValidation(argc, argv);
    int n = inf.readInt(-15, 15, "n");
    inf.readEoln();
    int k = inf.readInt(1, 15, "k");
    inf.readEoln();
    inf.readEof();
    int cnt = gen(n, k, 0, true);
    cerr << cnt << endl;
    ensuref(cnt <= 1e5, "too many");

    return 0;
}
